#### buffer (23 of 42 overloads)

Create a new modifiable buffer that represents the given string.

    template<
        typename Elem,
        typename Traits,
        typename Allocator>
    mutable_buffer buffer(
        std::basic_string< Elem, Traits, Allocator > & data);

###### Return Value

`mutable_buffer(data.size() ? &data[0] : 0, data.size() * sizeof(Elem))`.

###### Remarks

The buffer is invalidated by any non-const operation called on the given string object.